# Uses of Enum Class
org.apache.lucene.search.uhighlight.UnifiedHighlighter.HighlightFlag

Packages that use UnifiedHighlighter.HighlightFlag
Package
Description
org.apache.lucene.search.uhighlight
The UnifiedHighlighter -- a flexible highlighter that can get offsets from postings, term vectors, or analysis.

- ## Uses of UnifiedHighlighter.HighlightFlag in org.apache.lucene.search.uhighlight

  Methods in org.apache.lucene.search.uhighlight that return UnifiedHighlighter.HighlightFlag
  Modifier and Type
  Method
  Description
  `static UnifiedHighlighter.HighlightFlag`
  UnifiedHighlighter.HighlightFlag.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static UnifiedHighlighter.HighlightFlag[]`
  UnifiedHighlighter.HighlightFlag.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Methods in org.apache.lucene.search.uhighlight that return types with arguments of type UnifiedHighlighter.HighlightFlag
  Modifier and Type
  Method
  Description
  `protected Set<UnifiedHighlighter.HighlightFlag>`
  UnifiedHighlighter.`evaluateFlags(boolean shouldHandleMultiTermQuery, boolean shouldHighlightPhrasesStrictly, boolean shouldPassageRelevancyOverSpeed, boolean shouldEnableWeightMatches)`
  This method returns the set of of `UnifiedHighlighter.HighlightFlag`s, which will be applied to the UH object.
  `protected Set<UnifiedHighlighter.HighlightFlag>`
  UnifiedHighlighter.`evaluateFlags(UnifiedHighlighter uh)`
  Deprecated.
  `protected Set<UnifiedHighlighter.HighlightFlag>`
  UnifiedHighlighter.`evaluateFlags(UnifiedHighlighter.Builder uhBuilder)`
  Evaluate the highlight flags and set the `UnifiedHighlighter.flags` variable.
  `Set<UnifiedHighlighter.HighlightFlag>`
  UnifiedHighlighter.Builder.`getFlags()`
  `protected Set<UnifiedHighlighter.HighlightFlag>`
  UnifiedHighlighter.`getFlags(String field)`
  Returns the `UnifiedHighlighter.HighlightFlag`s applicable for the current UH instance.
  `Set<UnifiedHighlighter.HighlightFlag>`
  UHComponents.`highlightFlags()`
  Returns the value of the `highlightFlags` record component.
  Method parameters in org.apache.lucene.search.uhighlight with type arguments of type UnifiedHighlighter.HighlightFlag
  Modifier and Type
  Method
  Description
  `protected LabelledCharArrayMatcher[]`
  UnifiedHighlighter.`getAutomata(String field, Query query, Set<UnifiedHighlighter.HighlightFlag> highlightFlags)`
  `protected PhraseHelper`
  UnifiedHighlighter.`getPhraseHelper(String field, Query query, Set<UnifiedHighlighter.HighlightFlag> highlightFlags)`
  `UnifiedHighlighter.Builder`
  UnifiedHighlighter.Builder.`withFlags(Set<UnifiedHighlighter.HighlightFlag> values)`
  User-defined set of `UnifiedHighlighter.HighlightFlag` values which will override the flags set by `UnifiedHighlighter.Builder.withHandleMultiTermQuery(boolean)`, `UnifiedHighlighter.Builder.withHighlightPhrasesStrictly(boolean)`, `UnifiedHighlighter.Builder.withPassageRelevancyOverSpeed(boolean)` and `UnifiedHighlighter.Builder.withWeightMatches(boolean)`.
  Constructor parameters in org.apache.lucene.search.uhighlight with type arguments of type UnifiedHighlighter.HighlightFlag
  Modifier
  Constructor
  Description
  ``
  `UHComponents(String field, Predicate<String> fieldMatcher, Query query, BytesRef[] terms, PhraseHelper phraseHelper, LabelledCharArrayMatcher[] automata, boolean hasUnrecognizedQueryPart, Set<UnifiedHighlighter.HighlightFlag> highlightFlags)`
  Creates an instance of a `UHComponents` record class.